# Verify Address

```
POST 
/verify/addresses
```

The address verify API validates, corrects, and standardizes individual addresses based on USPS's Coding Accuracy Support System (CASS).

The address verify API accepts the 3 combination of inputs:

* Free-form address submitted as a single string in `query`
  * Example: "123 Main St, Springfield, CO 81073-1119"

* Only free-form and zip code address components submitted as separate parameters:

  <!-- -->

  * `query` for the first address line

  * `zip_code` for the ZIP code

  * Example:

    <!-- -->

    * `query`: "123 Main St, Springfield CO"
    * `zip_code`: "81073-1119"

* Only free-form, city and state address components submitted as separate parameters:

  <!-- -->

  * `query` for the first address line

  * `city` for the city

  * `state` for the state

  * Example:

    <!-- -->

    * `query`: "123 Main St"
    * `city`: "Springfield"
    * `state`: "CO"

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200
* 400
* 401
* 429

Success

Bad Request

Unauthorized

Rate Limited
